repo/proj/guru:dev commit in: dev-util/tinyxxd/files/, dev-util/tinyxxd/

"Saad Abdullah" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786995325.bb35b8388bc835efddb746758ad6d95a16cac918.ingenarelitems@gentoo>
commit:     bb35b8388bc835efddb746758ad6d95a16cac918
Author:     ingenarel (NeoJesus) <ingenarel_neojesus <AT> disroot <DOT> org>
AuthorDate: Mon Aug 17 19:22:18 2026 +0000
Commit:     Saad Abdullah <ingenarelitems <AT> gmail <DOT> com>
CommitDate: Mon Aug 17 19:35:25 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=bb35b838

dev-util/tinyxxd: add 1.3.16

Closes: https://codeberg.org/gentoo/guru/pulls/4
Signed-off-by: ingenarel (NeoJesus) <ingenarel_neojesus <AT> disroot.org>

 dev-util/tinyxxd/Manifest                          |  1 +
 .../tinyxxd-1.3.16-until-gentoo-codeberg-435.patch | 27 ++++++++++++
 dev-util/tinyxxd/tinyxxd-1.3.16.ebuild             | 50 ++++++++++++++++++++++
 3 files changed, 78 insertions(+)

diff --git a/dev-util/tinyxxd/Manifest b/dev-util/tinyxxd/Manifest
new file mode 100644
index 0000000000..5792ec3b89
--- /dev/null
+++ b/dev-util/tinyxxd/Manifest
@@ -0,0 +1 @@
+DIST tinyxxd-1.3.16.tar.gz 47760 BLAKE2B 2e70bcc6d788ebbb499ce8ccaf5ae6666d89ebfb14369c7ea0cf1c8979db37a4f1ba995cc274276a10a0e7828a073d5ebf173fff4f3e5089ef0db5fa2d349c53 SHA512 61d14723914c0190311c3217deda99e734e5d4707e3170ac181f2ef05a24385cd933bd2e2a4117e06cf49a0a126839d7a138efad8f361a7a525c269b62c7350f

diff --git a/dev-util/tinyxxd/files/tinyxxd-1.3.16-until-gentoo-codeberg-435.patch b/dev-util/tinyxxd/files/tinyxxd-1.3.16-until-gentoo-codeberg-435.patch
new file mode 100644
index 0000000000..ff5a876bb6
--- /dev/null
+++ b/dev-util/tinyxxd/files/tinyxxd-1.3.16-until-gentoo-codeberg-435.patch
@@ -0,0 +1,27 @@
+commit bda931c778405a60f43eaef6853b781b080c9908
+Author: ingenarel (NeoJesus) <[email protected]>
+Date:   Tue Aug 18 01:07:15 2026 +0600
+
+    ::GENTOO XXD PROBLEMS
+
+diff --git a/Makefile b/Makefile
+index 5e57c87..4ff7717 100644
+--- a/Makefile
++++ b/Makefile
+@@ -41,7 +41,6 @@ test:
+ 	@printf '\x00\x05\x0d\x25\x40\x4b\x5a\x81\xc0\xff' > ebcdicbytes.bin
+ 	@echo 'Running tests...'
+ 	@$(MAKE) run_test CMD='-a testfiles/somezeros.bin' DESC='Show nul-lines as single asterisk'
+-	@$(MAKE) run_test CMD='-Ralways -g1 -c256 -d -o 9223372036854775808 testfiles/somezeros.bin' DESC='Test for buffer overflow'
+ 	@$(MAKE) run_test CMD='-s +5 sample.bin' DESC='Seek +5'
+ 	@$(MAKE) run_test CMD='-s -5 sample.bin' DESC='Seek -5'
+ 	@$(MAKE) run_test CMD='-l 7 sample.bin' DESC='Stop after len=7'
+@@ -64,8 +63,6 @@ test:
+ 	@$(MAKE) run_test CMD='-i -C sample.bin' DESC='C include capitalized'
+ 	@$(MAKE) run_test CMD='-i -n myvar sample.bin' DESC='C include custom name'
+ 	@$(MAKE) run_test CMD='-i -b sample.bin' DESC='C include binary format'
+-	@$(MAKE) run_test CMD='-i -t sample.bin' DESC='C include with terminating NUL'
+-	@$(MAKE) run_test CMD='-i -b -t sample.bin' DESC='C include binary with terminating NUL'
+ 	@$(MAKE) verify_conversion_test
+ 	@$(MAKE) test_revert_crlf
+ 	@$(MAKE) test_le_padding

diff --git a/dev-util/tinyxxd/tinyxxd-1.3.16.ebuild b/dev-util/tinyxxd/tinyxxd-1.3.16.ebuild
new file mode 100644
index 0000000000..5298b1e427
--- /dev/null
+++ b/dev-util/tinyxxd/tinyxxd-1.3.16.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit toolchain-funcs
+
+DESCRIPTION="Drop-in replacement and standalone version of xxd"
+HOMEPAGE="https://github.com/xyproto/tinyxxd"
+if [[ ${PV} == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/xyproto/tinyxxd.git"
+else
+	SRC_URI="https://github.com/xyproto/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="|| ( GPL-2 MIT )"
+
+SLOT="0"
+
+IUSE="xxd test"
+REQUIRED_USE="test? ( !xxd )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	xxd? (
+		!<app-editors/vim-core-9.1.1652-r1
+		!dev-util/xxd
+	)
+	test? ( dev-util/xxd )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-123a24e1-default-fixes.patch" )
+
+# until https://codeberg.org/gentoo/gentoo/pulls/435 or something that updates xxd on ::gentoo
+PATCHES+=( "${FILESDIR}/${PN}-1.3.16-until-gentoo-codeberg-435.patch" )
+
+src_compile() {
+	export CFLAGS LDFLAGS
+	tc-export CC
+	emake
+}
+
+src_install(){
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}"/usr install
+	if use xxd; then
+		dosym -r /usr/bin/tinyxxd /usr/bin/xxd
+	fi
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.